const express = require('express') ;

const queryController = require('../controllers/query') ;

const router = express.Router() ;

router.post('/addQuery' , queryController.addQuery) ;

router.get('/getAllQueries' , queryController.getQueries) ;

router.get('/getOtherQueries' , queryController.getOtherQueries) ;

router.post('/getTypeQueries' , queryController.getTypeQueries) ;
 
module.exports = router ;